input[type=number] {
        width: 30%
}

input[type=text], input[type=email], input[type=date], input[type=password], input[type=list], textarea , select {
/*width: auto;*/
}



input, textarea, select{
    padding: 5px 5px;
    font-size: inherit;
    outline: none;
    font-family: inherit;
    border-color: border-color: var(--palette-color-1);
    border-style: solid;
    border-radius: 10px;
    border-width: thin;
    box-shadow: var(--global-box-shadow);
}

input:focus-visible,
 textarea:focus-visible,
 select:focus-visible{
	border: 1px solid var(--palette-color-4);
}

input::placeholder,
textarea::placeholder {
	color: #545454;
}

input[type=submit] {
    text-align: center;
    width:fit-content;
    margin:auto;
}

/*
input[type=text], input[type=email], input[type=number], input[type=password], input[type=list], textarea {
    padding: 5px 5px;
    font-size: inherit;
    font-family: inherit;
    border: var(--global-border);
    border-radius: var(--global-border-radius);
}
*/


input[type=text]:invalid, input[type=password]:invalid, input[type=date]:invalid, input[type=number]:invalid, input[type=list]:invalid, input[type=email]:invalid, textarea:invalid, select:invalid {
  background-color: var(--palette-color-input-invalid);
}

input[type=text]:valid, input[type=password]:valid, input[type=date]:valid, input[type=number]:valid, input[type=list]:valid, input[type=email]:valid, textarea:valid, select:valid {
  background-color: var(--palette-color-input-valid);
}

.vgrid{
    display:inline-grid;
    grid-gap:1rem;
}

fieldset > div.required::after {
    /*content: "*";
    position: relative;
    color:red;
    overlay: auto;*/
}

fieldset > div > p.help::after {
    content: &#128712;
    }

button > a {
    width: inherit;
    color: var(--palette-color-1);
    text-decoration:inherit;
}

.gruppoinput > input {
    margin-right: 2rem;
}
/* File upload bottone */

input[type=file] {
    padding: .2em .4em;
}

input[type=file]::-ms-browse {
  border: 2px solid var(--palette-color-3);
  padding: .2em .4em;
  border-radius: .2em;
  color: var(--palette-color-1);
  background-color: var(--palette-color-4);
}

input[type=file]::-webkit-file-upload-button {
  border: 2px solid var(--palette-color-3);
  padding: .2em .4em;
  border-radius: .2em;
  color: var(--palette-color-1);
  background-color: var(--palette-color-4);
  transition: 1s;
}

input[type=file]::file-selector-button {
  border: 2px solid var(--palette-color-3);
  padding: .2em .4em;
  min-height: 50px;
  border-radius: .2em;
  color: var(--palette-color-1);
  background-color: var(--palette-color-4);
  cursor: pointer;
  transition: 0.3s;
}

input[type=file]::-ms-browse:hover {
  background-color: var(--palette-color-3);
  border: 2px solid white;
}

input[type=file]::-webkit-file-upload-button:hover {
  background-color: var(--palette-color-3);
  border: 2px solid white;
}

input[type=file]::file-selector-button:hover {
  background-color: var(--palette-color-3);
  border: 2px solid white;
}